@charset "utf-8";

:root {
  --main-color: #555;
  --accent-color: #010100;
}

.wrapper {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 20px;
  display: flex;
}

*,
*::after,
*::before {
  box-sizing: border-box;
}

html {
  font-size: 100%;
  scroll-behavior: smooth;
  scroll-padding-top: 180px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  font-weight: normal;
}

ul,
ol {
  margin: 0;
  padding: 0;
  list-style: none;
}

p {
  margin: 0;
}

body {
  margin: 0;
  font-family: "Noto Sans JP", sans-serif;
  line-height: 1.8;
  padding-top: 180px;
}

img {
  max-width: 100%;
  height: auto;
  display: block;
}

a {
  text-decoration: none;
  color: inherit;
}

/* トップページ */

header {
  background-color: var(--main-color);
  padding: 40px 0;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 1000;
}

.SP-menu {
  font-size: 24px;
  color: #fff;
}

.header-right {
  display: flex;
  gap: 16px;
  justify-content: right;
}

#menu-open {
  display: none;
  font-size: 40px;
}

.SP-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  opacity: 0;
  visibility: hidden;
}

.SP-menu.active .SP-overlay {
  opacity: 1;
  visibility: visible;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.SP-nav {
  text-align: center;
  position: relative;
  transform: translateY(24px);
  opacity: 0;
  transition: transform 1s ease, opacity 1s ease;
}

.SP-menu.active .SP-nav {
  transform: translateY(0);
  opacity: 1;
  transition-delay: 0.2s;
}

#menu-close {
  display: none;
  font-size: 40px;
  position: fixed;
  top: 40px;
  right: 20px;
}

.SP-menu.active #menu-open {
  visibility: hidden;
}

.SP-menu.active #menu-close {
  display: block;
}

.header-inner {
  max-width: 1200px;
  margin: 0 auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

header img {
  width: 248px;
}

header .menu {
  display: flex;
  align-items: center;
  gap: 56px;
  color: #fff;
  font-size: 32px;
}

a.contact-btn {
  background-color: var(--accent-color);
  display: inline-block;
  width: 240px;
  height: 80px;
  font-size: 36px;
  text-align: center;
  line-height: 80px;
  color: #fff;
}


.hero {
  display: flex;
  background: url(img/top-1.avif) center bottom / cover no-repeat;
  min-height: 720px;
  align-items: center;
  padding: 120px 20px;
  justify-content: center;
  text-align: left;
  position: relative;
}

.hero::before {
  content: "";
  position: absolute;
  inset: 0;
  background-color: var(--accent-color);
  opacity: 0.5;
}

.copy {
  color: #fff;
  font-size: clamp(40px, 5.5vw, 80px);
  font-weight: lighter;
  line-height: 1.2;
  position: relative;
}

.copy .sub {
  display: block;
  font-size: clamp(16px, 2.2vw, 32px);
  max-width: 960px;
  margin: 0 auto;
  position: relative;
}

.news {
  background: url(img/company2.avif) center bottom / cover no-repeat;
  min-height: 720px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.section-title {
  color: #fff;
  text-align: center;
  font-size: clamp(28px, 4.5vw, 64px);
  font-weight: 500;
}

.news-overlay {
  display: flex;
  justify-content: center;
  width: 80%;
  max-width: 1200px;
  margin: 0 auto 24px;
  padding: 80px;
  background-color: rgba(1, 1, 0, 0.5);
}

.news-inner {
  width: 80%;
  color: #fff;
  font-size: 32px;
  font-weight: 100;
  text-align: left;
}

.top-news-list li {
  display: flex;
}

.top-news-list li a {
  display: flex;
  align-items: center;
  gap: 100px;
  width: 100%;
}

.top-news-list time {
  width: 140px;
  flex-shrink: 0;
}

.news-title {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  flex: 1;
}

.more {
  width: 320px;
  aspect-ratio: 10 / 3;
  background-color: var(--accent-color);
  color: #fff;
  font-size: 48px;
  text-align: center;
  line-height: 96px;
  align-self: center;
}

.more a {
  display: block;
  width: 100%;
  height: 100%;
}


.about {
  background: url(img/top-3.avif) center / cover no-repeat;
  min-height: 720px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.section-title {
  color: #fff;
  text-align: center;
  font-size: clamp(28px, 4.5vw, 64px);
  font-weight: 500;
}

.about-overlay {
  display: flex;
  justify-content: center;
  width: 80%;
  max-width: 1200px;
  margin: 0 auto 24px;
  padding: 80px;
  background-color: rgba(1, 1, 0, 0.5);
}

.about-inner {
  width: 80%;
  color: #fff;
  font-size: 32px;
  font-weight: 300;
  text-align: left;
}

.about p {
  font-size: 32px;
  line-height: 1.4;
  text-align: justify;
}

.about .about-inner .sub-heading {
  font-size: clamp(28px, 3.33vw, 48px);
  font-weight: 300;
}



.projects>* {
  position: relative;
  z-index: 1;
}

.projects {
  background: url(img/house4.avif) center / cover no-repeat;
  min-height: 960px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: relative;
  gap: 72px;
}

.projects::before {
  content: "";
  position: absolute;
  inset: 0;
  background-color: rgba(1, 1, 0, 0.3);
  z-index: 0;
}

.section-heading {
  display: flex;
  flex-direction: column;
  width: 64%;
  gap: 48px;
}

.section-title {
  color: #fff;
  text-align: center;
  font-size: clamp(28px, 4.5vw, 64px);
  font-weight: 500;
}

.projects-overlay {
  display: flex;
  justify-content: center;
  width: 100%;
  max-width: 400px;
  min-height: 400px;
  margin: 0 auto;
  padding: 120px 20px 0;
  background-color: rgba(1, 1, 0, 0.5);
}

.projects-inner {
  width: 90%;
  color: #fff;
  font-weight: 300;
  text-align: left;
  display: flex;
  gap: 64px;
}

.projects p {
  font-size: clamp(28px, 2vw, 32px);
  line-height: 1.4;
  text-align: justify;
  color: #fff;
  font-weight: 300;
}

.project-title {
  font-size: 40px;
  display: block;
  margin-bottom: 24px;
}


footer {
  background-color: #010100;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 32px;
  height: 400px;
}

footer p {
  color: #fff;
  font-weight: 300;
}

footer .menu {
  display: flex;
  align-items: center;
  gap: 56px;
  color: #fff;
  font-size: 32px;
}

.adress {
  font-size: 32px;
  line-height: 1.2;
}

.copyright {
  font-size: 20px;
}

.pages {
  position: relative;
  overflow: hidden;
}

.pages::before {
  content: "";
  position: absolute;
  left: -20%;
  width: 140%;
  height: 100%;
  background: #555;
  transform: skewY(20deg);
  z-index: 0;
}

.pages>* {
  position: relative;
  z-index: 1;
}

/* 会社概要 */

.about-page .pages::before {
  top: 40%;
}

.page-title {
  font-size: 64px;
  text-align: center;
  margin-bottom: 106px;
}

.part-title {
  font-size: 40px;
  font-weight: bold;
  margin: 106px 0 64px;
}

.about-page .wrapper {
  flex-direction: column;
  margin-bottom: 106px;
}

.message-container {
  display: flex;
  justify-content: space-between;
}

.ceo-img {
  width: 400px;
  height: auto;
}

.message-inner {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 40px;
}

.about-page .part-title,
.about-page table {
  color: #fff;
}

.ceo-message {
  font-size: 40px;
}

.ceo-name {
  font-size: 36px;
}

.message {
  font-weight: 300;
  font-size: 32px;
  max-width: 720px;
}

.about-detail {
  font-size: 32px;
  font-weight: 300;
  border-collapse: collapse;
  width: 100%;
  table-layout: auto;
}

.about-detail th {
  font-weight: 300;
  text-align: left;
}

.about-detail th:first-child,
.about-detail td:first-child {
  border-right: #fff 1px solid;
  width: 128px;
  white-space: nowrap;
  padding-right: 40px;
}

.about-detail th:nth-child(2),
.about-detail td:nth-child(2) {
  padding-left: 40px;
}

.history {
  font-size: 32px;
  font-weight: 300;
  border-collapse: collapse;
  width: 100%;
  table-layout: auto;
}

.history td:first-child {
  width: 128px;
  white-space: nowrap;
  padding-right: 40px;
}

.history td:nth-child(2) {
  padding-left: 40px;
}


.recruitment {
  background: url(img/top-6.avif) center / cover no-repeat;
  min-height: 800px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.section-title {
  color: #fff;
  text-align: center;
  font-size: clamp(28px, 4.5vw, 64px);
  font-weight: 500;
}

.recruitment-overlay {
  display: flex;
  justify-content: center;
  width: 80%;
  max-width: 1200px;
  margin: 0 auto 24px;
  padding: 80px;
  background-color: rgba(1, 1, 0, 0.5);
}

.recruitment-inner {
  width: 80%;
  color: #fff;
  font-size: 32px;
  font-weight: 300;
  text-align: left;
}

.recruitment p {
  font-size: 32px;
  line-height: 1.4;
  text-align: justify;
  display: flex;
  justify-content: center;
}

.recruitment .recruitment-inner {
  font-size: clamp(28px, 3.33vw, 48px);
  font-weight: 300;
}

p.small {
  padding-top: 16px;
  font-size: 20px;
}


.contact-lead {
  background-color: #555;
  min-height: 400px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 32px;
}

.contact-lead p {
  font-size: 36px;
  color: #fff;
}


/* 事業内容 */

.projects-page .pages::before {
  top: 42%;
}

.explanation {
  display: flex;
  justify-content: center;
  font-size: clamp(28px, 2vw, 32px);
}

.projects-page .wrapper {
  flex-direction: column;
  gap: 136px;
  margin-bottom: 136px;
}

.kinds {
  display: flex;
  flex-direction: column;
  gap: 136px;
}

.ttls {
  display: flex;
  flex-direction: column;
  gap: 24px;
  flex-wrap: wrap;
}

.kinds-ttl {
  font-size: 40px;
}

.ttls p {
  font-size: clamp(28px, 2vw, 32px);
}

.ex-text {
  display: flex;
  flex-direction: column;
  width: 560px;
}

.ex-text dt,
.ex-text dd {
  margin: 0;
}

.projects-ex {
  display: flex;
  font-size: clamp(28px, 2vw, 32px);
  text-align: justify;
  justify-content: space-between;
  align-items: center;
}

.projects-ex:nth-of-type(even) {
  flex-direction: row-reverse;
  text-align: justify;
}

.projects-ex img {
  width: 560px;
  aspect-ratio: 14 / 9;
}

.theme-dark {
  color: #fff;
}


/* お知らせ */


.news-list {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 64px;
  max-width: 1200px;
  margin: auto;
}

.news-item {
  display: flex;
  flex-direction: column;
}

.news-thumb {
  width: 100%;
  aspect-ratio: 3 / 2;
  background-color: #eee;
}

.news-thumb img {
  width: 100%;
  height: 100%;
}

.news-body {
  margin: 56px auto 24px;
}

.news-body h3 {
  font-size: 24px;
  margin-bottom: 24px;
}

.news-date {
  color: #a1a1a1;
}

.pager {
  display: flex;
  justify-content: center;
}

.page-numbers {
  display: flex;
  font-size: 40px;
  margin: 80px auto 160px;
  line-height: 1;
  text-align: center;
}

.page-numbers li {
  padding: 4px;
  width: 48px;
  height: 48px;
  border: solid 1px #a1a1a1;
}


/* 記事 */

.news-detail-page .pages::before {
  top: 50%;
}

.article-inner {
  max-width: 1000px;
  margin: 64px auto;
}

.article-ttl {
  font-size: 40px;
  line-height: 1.2;
}

.article-date {
  font-size: 32px;
  color: #a1a1a1;
}

.thumb {
  width: 100%;
  aspect-ratio: 3 / 2;
  background-color: #eee;
  margin-top: 64px;
}

.article-text {
  text-align: justify;
  font-size: 24px;
  margin-top: 64px;
  color: #fff;
}


/* お問合せ */

.contact-page .pages::before {
  top: 75%;
}

.contact-form {
  display: flex;
  flex-direction: column;
  max-width: 720px;
  margin: auto;
  gap: 64px;
}


label {
  display: flex;
  flex-direction: column;
  width: 100%;
  text-align: left;
  font-size: 24px;
}

.contact-page textarea {
  min-height: 120px;
  width: 100%;
  resize: vertical;
}

.required {
  color: red;
}

.contact-page input,
.contact-page textarea,
.contact-page select {
  font-size: 24px;
  background-color: #eee;
}

.submit {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 auto 160px;
}

.submit p {
  color: #fff;
}


/* サンクス */

html.thanks-page,
body.thanks-page {
  height: 100%;
}

body.thanks-page {
  display: flex;
  flex-direction: column;
}

.thanks-page .pages {
  flex: 1;
}

.thanks-page .pages::before {
  top: 60%;
}

.thanks-page {
  min-height: 1400px;
}

.thanks-comment {
  display: flex;
  justify-content: center;
  font-size: 24px;
}

.back {
  text-decoration: underline;
  text-align: center;
}

.thanks-page footer {
  bottom: 100%;
}


@media (max-width: 1200px) {

  header {
    padding: 30px 20px;
  }

  header .menu {
    font-size: 20px;
    gap: 20px;
  }

  header img {
    width: 132px;
  }

  a.contact-btn {
    width: 120px;
    height: 40px;
    font-size: 18px;
    line-height: 40px;
  }

  .header-inner {
    max-width: 1000px;
  }

  body {
    padding-top: 114px;
  }

  .hero {
    height: 480px;
    min-height: 0;
  }

  .news,
  .about,
  .projects {
    max-height: 500px;
    min-height: 0;
  }

  .copy .sub {
    max-width: 540px;
  }

  .news-overlay {
    max-width: 1000px;
    margin: 0 auto 24px;
    padding: 40px;
  }

  .news-inner {
    font-size: 24px;
  }

  .top-news-list li a {
    gap: 50px;
  }

  .top-news-list time {
    width: 80px;
  }

  .more {
    width: 240px;
    font-size: 32px;
    line-height: 72px;
    margin-bottom: 24px;
  }

  .about-overlay {
    max-width: 1000px;
    padding: 40px;
  }

  .about-inner {
    font-size: 20px;
  }

  .about p {
    font-size: 20px;
  }



  .projects {
    gap: 32px;
  }

  .section-heading {
    width: 64%;
    gap: 24px;
  }

  .projects-overlay {
    max-width: 200px;
    min-height: 200px;
    padding: 8px 12px;
  }

  .projects-inner {
    gap: 24px;
    display: flex;
    align-items: flex-start;
  }

  .projects p {
    font-size: 16px;
    line-height: 1.4;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .project-title {
    font-size: 24px;
    margin-bottom: 24px;
  }


  footer {
    gap: 8px;
    height: 240px;
  }

  footer img {
    width: 180px;
  }

  footer .menu {
    gap: 16px;
    font-size: 24px;
  }

  .adress {
    font-size: 24px;
    line-height: 1.2;
  }

  .copyright {
    font-size: 16px;
  }


  /* 会社概要 */

  .about-page .pages::before {
    top: 45%;
  }

  .page-title {
    font-size: 40px;
    margin-bottom: 40px;
  }

  .part-title {
    font-size: 20px;
    margin: 40px 0 32px;
  }

  .about-page .wrapper {
    margin-bottom: 40px;
    padding: 0 40px;
  }

  .message-container {
    justify-content: left;
    gap: 32px;
  }

  .ceo-img {
    width: 200px;
    height: 100%;
  }

  .message-inner {
    gap: 20px;
  }

  .ceo-message {
    font-size: 32px;
  }

  .ceo-name {
    font-size: 24px;
  }

  .message {
    font-size: 16px;
    max-width: 480px;
  }

  .about-detail {
    font-size: 16px;
  }

  .about-detail th:first-child,
  .about-detail td:first-child {
    width: 128px;
    white-space: nowrap;
    padding-right: 32px;
  }

  .about-detail th:nth-child(2),
  .about-detail td:nth-child(2) {
    padding-left: 32px;
  }

  .history {
    font-size: 16px;
  }

  .history td:first-child {
    width: 128px;
    white-space: nowrap;
    padding-right: 32px;
  }

  .history td:nth-child(2) {
    padding-left: 32px;
  }


  .recruitment {
    min-height: 500px;
  }

  .section-title {
    font-size: 32px;
  }

  .recruitment-overlay {
    max-width: 1000px;
    margin: 24px auto;
    padding: 40px;
  }

  .recruitment-inner {
    font-size: 16px;
  }

  .recruitment p {
    font-size: 20px;
  }

  .recruitment .recruitment-inner {
    font-size: 20px;
  }

  p.small {
    padding-top: 8px;
    font-size: 16px;
  }


  .contact-lead {
    min-height: 200px;
    gap: 16px;
  }

  .contact-lead p {
    font-size: 24px;
  }


  /* 事業内容 */

  .projects-page .pages::before {
    top: 42%;
  }

  .explanation {
    font-size: 20px;
  }

  .projects-page .wrapper {
    max-width: 800px;
    padding: 0 40px;
    max-width: 800px;
    padding: 0 40px;
    gap: 80px;
    margin-bottom: 80px;
  }

  .kinds {
    gap: 80px;
  }

  .ttls {
    gap: 16px;
  }

  .kinds-ttl {
    font-size: 24px;
  }

  .ttls p {
    font-size: 16px;
  }

  .ex-text {
    width: 320px;
  }

  .projects-ex {
    font-size: 16px;
  }

  .projects-ex img {
    width: 300px;
  }



  /* お知らせ */

  .news-list {
    padding: 0 40px;
  }

  .news-body {
    margin: 24px auto 12px;
  }

  .news-body h3 {
    font-size: 16px;
    margin-bottom: 24px;
  }

  h3.news-ttl {
    margin: 0;
  }

  .news-date {
    font-size: 12px;
  }

  .page-numbers {
    font-size: 20px;
    margin: 40px auto 80px;
  }

  .page-numbers li {
    padding: 2px;
    width: 24px;
    height: 24px;
  }


  /* 記事 */

  .article-inner {
    width: 80%;
  }

  .article-ttl {
    font-size: 32px;
  }

  .article-date {
    font-size: 24px;
  }

  .article-text {
    font-size: 20px;
  }


  /* お問合せ */

  .contact-page .pages::before {
    top: 80%;
  }

  .contact-form {
    width: 80%;
  }

  .submit {
    margin: 0 auto 80px;
  }


  /* サンクス */

  .thanks-page .pages::before {
    top: 60%;
  }

  .thanks-page {
    min-height: 900px;
  }

}


@media (max-width: 768px) {

  .PC-menu {
    display: none;
  }

  #menu-open {
    display: block;
  }

  .news,
  .about,
  .projects {
    max-height: 1000px;
    min-height: 0;
  }

  .news-overlay {
    max-width: 1000px;
    margin: 0 auto 24px;
    padding: 40px;
  }

  .news-inner {
    font-size: 16px;
  }

  .top-news-list li a {
    gap: 8px;
  }

  .top-news-list time {
    width: 50px;
  }

  .more {
    width: 180px;
    font-size: 24px;
    line-height: 54px;
  }

  .about .about-inner .sub-heading {
    font-size: 24px;
  }

  .about p {
    font-size: 16px;
    line-height: 1.5;
  }

  .projects {
    gap: 24px;
  }

  .section-heading {
    gap: 8px;
  }

  .section-heading p {
    font-weight: 400;
  }

  .projects .projects-inner {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 20px;
  }

  .projects-overlay {
    max-width: 200px;
    min-height: 200px;
    aspect-ratio: 1 / 1;
    padding: 8px 12px;
  }


  footer {
    gap: 8px;
    height: 180px;
  }

  footer img {
    width: 120px;
  }

  footer .menu {
    gap: 8px;
    font-size: 16px;
  }

  .adress {
    font-size: 16px;
  }

  .copyright {
    font-size: 12px;
  }


  /* 会社概要 */

  .about-page .pages::before {
    top: 43%;
  }

  .about-page .wrapper {
    padding: 0 20px;
  }

  .page-title {
    font-size: 32px;
    margin-bottom: 32px;
  }

  .part-title {
    font-size: 20px;
    margin: 20px 0 32px;
  }

  .ceo-img {
    width: 80px;
    padding-top: 10px;
  }

  .message-inner {
    gap: 8px;
  }

  .ceo-message {
    font-size: 24px;
  }

  .ceo-name {
    font-size: 20px;
  }

  .message {
    text-align: justify;
  }


  .recruitment {
    min-height: 300px;
  }

  .recruitment-overlay {
    margin: 16px auto;
    padding: 16px 8px;
  }

  .recruitment .section-title,
  .contact-lead .section-title {
    font-size: 24px;
  }

  .recruitment p {
    font-size: 16px;
  }

  p.small {
    font-size: 12px;
  }

  .contact-lead {
    min-height: 160px;
    gap: 8px;
  }

  .contact-lead p {
    font-size: 16px;
  }


  /* 事業内容 */

  .projects-page .pages::before {
    top: 40%;
  }

  .explanation {
    font-size: 16px;
  }

  .projects-page .wrapper {
    max-width: 800px;
    padding: 0 16px;
    gap: 20px;
  }

  .kinds {
    gap: 20px;
  }

  .ex-text {
    width: 100%;
    order: 2;
  }

  .projects-ex,
  .projects-ex:nth-of-type(even) {
    font-size: 16px;
    flex-direction: column;
    align-items: stretch;
  }

  .projects-ex img {
    width: 100%;
    order: 1;
  }



  /* お知らせ */

  .news-list {
    padding: 0 16px;
    gap: 16px;
  }


  /* 記事 */

  .article-inner {
    width: 90%;
  }

  .article-ttl {
    font-size: 24px;
  }

  .article-date {
    font-size: 16px;
  }

  .article-text {
    font-size: 16px;
  }


  /* サンクス */

  .thanks-page {
    min-height: 700px;
  }

  .thanks-comment {
    width: 80%;
    margin: auto;
    text-align: justify;
    font-size: 16px;
  }

  .back {
    font-size: 12px;
  }

}